# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = "datamapper-shim"
  spec.version       = "0.0.5"
  spec.authors       = ["ecin", "gblazer"]
  spec.email         = ["ecin@copypastel.com", "gblazer@gmail.com"]
  spec.description   = "Dress ActiveRecord models in DataMapper robes"
  spec.summary       = "Migrate DataMapper models to ActiveRecord"
  spec.homepage      = "https://github.com/typekit/datamapper-shim"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "json", "~> 1.4"
  spec.add_dependency "activerecord", "~> 3.2.0"
  spec.add_dependency "composite_primary_keys", "~> 5.0.0"

  spec.add_development_dependency "rake", "~> 10.1.1"
  spec.add_development_dependency "sqlite3", "~> 1.3.8"
  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "minitest", "~> 5.2.3"
  spec.add_development_dependency "pry", "~> 0.9.12.4"
end
